com.h3c.util.pkt

## Enum DhcpV6.MessageType

- java.lang.Object
- - java.lang.Enum<DhcpV6.MessageType>
  - - com.h3c.util.pkt.DhcpV6.MessageType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<DhcpV6.MessageType>
  Enclosing class:
    DhcpV6

      public static enum DhcpV6.MessageType
      extends Enum<DhcpV6.MessageType>
      implements ProtocolEnum

  DHCPv6 Message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVERTISE` Server advertise.
    `CONFIRM` Confirm message.
    `DECLINE` Decline message.
    `INFO_REQ` Information-request message.
    `REBIND` Re-bind message.
    `RECONFIG` Reconfigure message.
    `RELAY_FORWORD` Relay-forward message.
    `RELAY_REPLY` Relay-reply message.
    `RELEASE` Release message.
    `RENEW` Renew message.
    `REPLY` Replay message.
    `REQ` Request message.
    `SOLICIT` Solicit message to locate servers.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static DhcpV6.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DhcpV6.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLICIT

          public static final DhcpV6.MessageType SOLICIT

      Solicit message to locate servers.

    - #### ADVERTISE

          public static final DhcpV6.MessageType ADVERTISE

      Server advertise.

    - #### REQ

          public static final DhcpV6.MessageType REQ

      Request message.

    - #### CONFIRM

          public static final DhcpV6.MessageType CONFIRM

      Confirm message.

    - #### RENEW

          public static final DhcpV6.MessageType RENEW

      Renew message.

    - #### REBIND

          public static final DhcpV6.MessageType REBIND

      Re-bind message.

    - #### REPLY

          public static final DhcpV6.MessageType REPLY

      Replay message.

    - #### RELEASE

          public static final DhcpV6.MessageType RELEASE

      Release message.

    - #### DECLINE

          public static final DhcpV6.MessageType DECLINE

      Decline message.

    - #### RECONFIG

          public static final DhcpV6.MessageType RECONFIG

      Reconfigure message.

    - #### INFO_REQ

          public static final DhcpV6.MessageType INFO_REQ

      Information-request message.

    - #### RELAY_FORWORD

          public static final DhcpV6.MessageType RELAY_FORWORD

      Relay-forward message.

    - #### RELAY_REPLY

          public static final DhcpV6.MessageType RELAY_REPLY

      Relay-reply message.

  - ### Method Detail

    - #### values

          public static DhcpV6.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DhcpV6.MessageType c : DhcpV6.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DhcpV6.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.